﻿#pragma strict 
#pragma downcast
//#pragma strict = forces typing for all variables.
//#pragma downcast = suppresses errors when general things (like hashtable elements) get used in specific ways.

import UnityEngine.UI; 

var contentIndex:int; //place holder for the "current frame"
var contentTextHash:Hashtable; //"middle" text to show up
var titleTextHash:Hashtable; //"sub title" text
var showContentHash:Hashtable; //true/false variable on whether or not to show the full GUI.
var firstHash:int; //begining Hash index number = 1.
var lastHash:int; //final Hash index number.  
var myContentPanel:GameObject; //panel for "content."
var myContentText:GameObject; //text box for "content."
var myNavigationBackground:GameObject; //panel for "navigation."

function Start () {
	contentIndex = 1;
	firstHash = 1;
	contentTextHash = new Hashtable();
	titleTextHash = new Hashtable();
	showContentHash = new Hashtable();
	myContentPanel = GameObject.FindWithTag("contentTextPanel");
	myContentText = GameObject.FindWithTag("contentText");
	myNavigationBackground = GameObject.FindWithTag("navigationBackground");
	
	contentTextHash.Add(1, "Content for Frame 1\n\nNew paragraph, <b>Can use HTML bold</b> or not.");
	titleTextHash.Add(1, "Frame 1");
	showContentHash.Add(1, true);
	
	contentTextHash.Add(2, "Blah blah blah 2");
	titleTextHash.Add(2, "Frame 2");
	showContentHash.Add(2, true);
	
	contentTextHash.Add(3, "Blah blah blah 3");
	titleTextHash.Add(3, "Frame 3");
	showContentHash.Add(3, true);
	
	contentTextHash.Add(4, "Blah blah blah 4");
	titleTextHash.Add(4, "Frame 4");
	showContentHash.Add(4, true);
	
	contentTextHash.Add(5, "Blah blah blah 5");
	titleTextHash.Add(5, "Frame 5");
	showContentHash.Add(5, false);
		
	contentTextHash.Add(6, "Blah blah blah 6");
	titleTextHash.Add(6, "Frame 6");
	showContentHash.Add(6, true);
		
	contentTextHash.Add(7, "Blah blah blah 7");
	titleTextHash.Add(7, "Frame 7");
	showContentHash.Add(7, true);
		
	contentTextHash.Add(8, "Blah blah blah 8");
	titleTextHash.Add(8, "Frame 8");
	showContentHash.Add(8, true);
		
	contentTextHash.Add(9, "Blah blah blah 9");
	titleTextHash.Add(9, "Frame 9");
	showContentHash.Add(9, true);
		
	contentTextHash.Add(10, "Blah blah blah 10");
	titleTextHash.Add(10, "Frame 10");
	showContentHash.Add(10, true);
			
	firstHash = 1;
	gotoAndStop(firstHash);
	
	if(titleTextHash.Count != contentTextHash.Count) {
		Debug.Log("Warning: Title and Content are of a different length, this will break the navigation");
	}
	if (titleTextHash.Count != showContentHash.Count) {
		Debug.Log("Warning: Title and Show Content are of a different length, this will break the navigation");
	}
	lastHash = titleTextHash.Count;
}

function gotoAndStop(newHash:int) {
	contentIndex = newHash;
	updateTitle(titleTextHash[contentIndex]);
	updateGUI(showContentHash[contentIndex]);
}

//if you aren't at the end, go to the next piece of content.
function nextContent() {
	if(contentIndex < lastHash) {
		gotoAndStop(contentIndex + 1);
	}
}

//if you aren't at the beginning, go to the previous piece of content. WRITE THIS.
function previousContent() {
	if(contentIndex > firstHash) {
		gotoAndStop(contentIndex - 1);
	}
}

//show/hide elements of the GUI and update text if relevant.
function updateGUI(hideShow:boolean) {
	myContentPanel.SetActive(hideShow);
	//only update text if we have an active text screen.
	if(hideShow == true) {
		updateContent(contentTextHash[contentIndex]);
	}
}

function updateContent(newContent:String) {
	myContentText.GetComponent(Text).text = newContent;
}

function updateTitle(newTitle:String) { 
    GameObject.FindWithTag("subTitleText").GetComponent(Text).text = newTitle;
}

function Update () {

}